GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | List of all members
gridfire::solver::SolverContextBase Struct Referenceabstract

`#include <strategy_abstract.h>`

Inheritance diagram for gridfire::solver::SolverContextBase:
[legend]

## Public Member Functions
virtual void | init ()=0
virtual void | set_stdout_logging (bool enable)=0
virtual void | set_detailed_logging (bool enable)=0
virtual | ~SolverContextBase ()=default

## Constructor & Destructor Documentation

## ◆ ~SolverContextBase()

virtual gridfire::solver::SolverContextBase::~SolverContextBase | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ init()

virtual void gridfire::solver::SolverContextBase::init | ( |  | ) |
| pure virtual

Implemented in gridfire::solver::GridSolverContext, gridfire::solver::PointSolverContext, and PySolverContextBase.

## ◆ set_detailed_logging()

virtual void gridfire::solver::SolverContextBase::set_detailed_logging | ( | bool | enable | ) |
| pure virtual

Implemented in gridfire::solver::GridSolverContext, gridfire::solver::PointSolverContext, and PySolverContextBase.

## ◆ set_stdout_logging()

virtual void gridfire::solver::SolverContextBase::set_stdout_logging | ( | bool | enable | ) |
| pure virtual

Implemented in gridfire::solver::GridSolverContext, gridfire::solver::PointSolverContext, and PySolverContextBase.

The documentation for this struct was generated from the following file:

- src/include/gridfire/solver/strategies/strategy_abstract.h